nf-config(1)

NAME
nf-config - query netCDF Fortran build options

SYNOPSIS
nf-config
[--libs] [--cflags] [--cxxflags] [--defines] [--includes] [--version]

DESCRIPTION
nf-config allows querying the options used to build the netCDF Fortran library.

OPTIONS

\FC--all\F[]
    Display all options

\FC--cc\F[]
    C compiler

\FC--fc\F[]
    Fortran compiler

\FC--cflags\F[]
    Pre-processor and compiler flags

\FC--fflags\F[]
    Flags needed to compile a Fortran program

\FC--has-dap\F[]
    Whether OPeNDAP is enabled in this build

\FC--has-nc2\F[]
    Whether NetCDF-2 API is enabled

\FC--has-nc4\F[]
    Whether NetCDF-4/HDF-5 is enabled in this build

\FC--has-f90\F[]
    Whether Fortran 90 API is enabled in this build

\FC--has-f03\F[]
    Whether Fortran 2003 API is enabled in this build

\FC--flibs\F[]
    Libraries needed to link a Fortran program

\FC--prefix\F[]
    Install prefix

\FC--includedir\F[]
    Include directory

\FC--version\F[]
    Library version